dnl $Id: config.m4,v 1.12 2000/10/05 00:51:46 sniper Exp $

AC_MSG_CHECKING(whether to include DOM support)
PHP_ARG_WITH(dom,for DOMXML support,
[  --with-dom[=DIR]        Include DOM support (requires libxml >= 2.0).
                          DIR is the libxml install directory,
                          defaults to /usr.])

if test "$PHP_DOM" != "no"; then
  old_LIBS=$LIBS
  old_LDFLAGS=$LDFLAGS
  if test -f $withval/include/libxml/tree.h && DOMXML_INCLUDE="$withval/include"; then
    LDFLAGS="$LDFLAGS -L$withval/lib"
  fi

  if test $HAVE_ZLIB; then
    old_withval=$withval
    AC_MSG_CHECKING([for zlib (needed by DOM support)])
      AC_ARG_WITH(zlib-dir,
        [  --with-zlib-dir[=DIR]   zlib dir for libxml or include zlib support],[
          AC_MSG_RESULT( )
          if test -z $withval; then
            withval="/usr/local"
          fi
          LIBS="$LIBS -L$withval/lib -lz"
          AC_CHECK_LIB(z,deflate, ,[AC_MSG_RESULT(no)],)
          AC_ADD_LIBRARY_WITH_PATH(z, $withval/lib)
        ],[
        AC_MSG_RESULT(no)
        AC_MSG_WARN(If configure fails try --with-zlib=<DIR>)
      ])
    withval=$old_withval
  else
      echo "checking for libz needed by pdflib 3.0... already zlib support"
      LIBS="$LIBS -L$withval/lib -lz"
  fi

  AC_CHECK_LIB(xml, xmlFreeURI, [AC_DEFINE(HAVE_DOMXML,1,[ ])],
    [AC_MSG_ERROR(DOM module requires libxml >= 2.0.)])

  DOMXML_LIBS=$LIBS
  LIBS=$old_LIBS
  DOMXML_LDFLAGS=$LDFLAGS
  LDFLAGS=$old_LDFLAGS
  if test "$ext_shared" = "yes"; then
    DOMXML_LIBS="-lxml"
  else
    AC_ADD_LIBRARY_WITH_PATH(xml, $withval/lib)
    AC_ADD_INCLUDE($DOMXML_INCLUDE)
  fi
  PHP_EXTENSION(domxml, $ext_shared)
fi

PHP_SUBST(DOMXML_LDFLAGS)
PHP_SUBST(DOMXML_LIBS)
